Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.ui.event
Class LightEditEvent

    java.lang.Object
      threeD.ui.event.SceneEvent
          threeD.ui.event.SceneEditEvent
              threeD.ui.event.LightEditEvent

All Implemented Interfaces:
  Event, LightEvent

public class LightEditEvent
extends SceneEditEvent
implements LightEvent

A LightEditEvent object represents the event of editing a light in the current scene. The integer code of the LightEditEvent is the sum of all of the codes that apply to the edit.

Field Summary
`static int` | `attenuationCoefficientChangeEvent` The code for an attenuation coefficient change event.
`static int` | `colorChangeEvent` The code for a color change event.
`static int` | `directionChangeEvent` The code for a direction change event.
`static int` | `intensityChangeEvent` The code for an intensity change event.
`static int` | `locationChangeEvent` The code for a location change event.

Constructor Summary
`LightEditEvent(int code, Light target)` Constructs a new LightEditEvent object with the specified integer code and target.

Method Summary
`int` | `getCode()` Returns the integer code of this LightEditEvent object.
`Light` | `getTarget()` Returns the target of this LightEditEvent object.
`boolean` | `isAttenuationCoefficientChangeEvent()` Returns true if this LightEditEvent object is an attenuation coefficient change event.
`boolean` | `isColorChangeEvent()` Returns true if this LightEditEvent object is a color change event.
`boolean` | `isDirectionChangeEvent()` Returns true if this LightEditEvent object is a direction change event.
`boolean` | `isIntensityChangeEvent()` Returns true if this LightEditEvent object is an intensity change event.
`boolean` | `isLocationChangeEvent()` Returns true if this LightEditEvent object is a location change event.
`java.lang.String` | `toString()` Returns "LightEditEvent".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### locationChangeEvent

    public static final int locationChangeEvent

  The code for a location change event.

  See Also:
    Constant Field Values

### attenuationCoefficientChangeEvent

    public static final int attenuationCoefficientChangeEvent

  The code for an attenuation coefficient change event.

  See Also:
    Constant Field Values

### directionChangeEvent

    public static final int directionChangeEvent

  The code for a direction change event.

  See Also:
    Constant Field Values

### colorChangeEvent

    public static final int colorChangeEvent

  The code for a color change event.

  See Also:
    Constant Field Values

### intensityChangeEvent

    public static final int intensityChangeEvent

  The code for an intensity change event.

  See Also:
    Constant Field Values

Constructor Detail

### LightEditEvent

    public LightEditEvent(int code,
                          Light target)

  Constructs a new LightEditEvent object with the specified integer code and target.

Method Detail

### getCode

    public int getCode()

  Returns the integer code of this LightEditEvent object.

### getTarget

    public Light getTarget()

  Returns the target of this LightEditEvent object.

  Specified by:
    `getTarget` in interface `LightEvent`

### isLocationChangeEvent

    public boolean isLocationChangeEvent()

  Returns true if this LightEditEvent object is a location change event.

### isAttenuationCoefficientChangeEvent

    public boolean isAttenuationCoefficientChangeEvent()

  Returns true if this LightEditEvent object is an attenuation coefficient change event.

### isDirectionChangeEvent

    public boolean isDirectionChangeEvent()

  Returns true if this LightEditEvent object is a direction change event.

### isColorChangeEvent

    public boolean isColorChangeEvent()

  Returns true if this LightEditEvent object is a color change event.

### isIntensityChangeEvent

    public boolean isIntensityChangeEvent()

  Returns true if this LightEditEvent object is an intensity change event.

### toString

    public java.lang.String toString()

  Returns "LightEditEvent".

  Overrides:
    `toString` in class `SceneEditEvent`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray